
<link rel="stylesheet" href="{{ static('plugins/iCheck/all.css') }}">


<div class="modal-dialog" id="empresa">
    <div class="modal-dialog">
        <div class="modal-content">
            <div class="modal-header bg-{{ bg_header }}">
                <button type="button" class="close" data-dismiss="modal" aria-label="Close">
                    <span aria-hidden="true">&times;</span>
                </button>
                <h4 class="modal-title"> {{ titulo }} </h4>
            </div>
                <div class="modal-body">
                    {% if not object %}
                    <form class="form-horizontal" action="{{ url('empresa:representante_agregar') }}" method="post" enctype="multipart/form-data" role="form">
                    {% else %}
                    <form class="form-horizontal" action="{{ url('empresa:representante_editar', args=[object.pk]) }}" method="post" enctype="multipart/form-data" role="form">
                    {% endif %}
                        <input type="hidden" name="csrfmiddlewaretoken" value="{{ csrf_token }}">
                        <div class="box-body">
                            <div class="form-group">
                                <label for="id_nombre" class="col-sm-3 control-label">Nombre</label>
                                <div class="col-sm-9">
                                    <div class="input-group">
                                        {{ form.persona }}
                                        <span class="input-group-addon"><i class="glyphicon glyphicon-user"></i></span>
                                    </div>
                                    <span class="help-block">
                                        {% for error in form.persona.errors %}
                                            <ul>
                                                <li class="text-red">{{ error }}</li>
                                            </ul>
                                        {% endfor %}
                                    </span>
                                </div>
                            </div>

                            <div class="form-group">
                                <label for="id_telefono" class="col-sm-3 control-label">Teléfono</label>
                                <div class="col-sm-9">
                                    <div class="input-group">
                                        <input type="text" name="telefono" id="id_telefono" value="{%if object %}{{ form.telefono.value() }}{% endif %}" class="form-control" data-inputmask="'mask': ['+58 (999) 999-99-99']" data-mask>
                                        <span class="input-group-addon"><i class="glyphicon glyphicon-phone-alt"></i></span>
                                    </div>
                                    <span class="help-block">
                                        {% for error in form.telefono.errors %}
                                            <ul>
                                                <li class="text-red">{{ error }}</li>
                                            </ul>
                                        {% endfor %}
                                    </span>
                                </div>
                            </div>
                            <div class="form-group">
                                <label for="id_celular" class="col-sm-3 control-label">Móvil</label>
                                <div class="col-sm-9">
                                    <div class="input-group">
                                        <input type="text" name="celular" id="id_celular" value="{%if object %}{{ form.celular.value() }}{% endif %}" class="form-control" data-inputmask="'mask': ['+58 (999) 999-99-99']" data-mask>
                                        <span class="input-group-addon"><i class="glyphicon glyphicon-phone-alt"></i></span>
                                    </div>
                                    <span class="help-block">
                                        {% for error in form.celular.errors %}
                                            <ul>
                                                <li class="text-red">{{ error }}</li>
                                            </ul>
                                        {% endfor %}
                                    </span>
                                </div>
                            </div>
                            <div class="form-group">
                                <label for="id_email" class="col-sm-3 control-label">Email</label>
                                <div class="col-sm-9">
                                    <div class="input-group">
                                            {{ form.email }}
                                        <span class="input-group-addon"><i class="glyphicon glyphicon-envelope"></i></span>
                                    </div>
                                    <span class="help-block">
                                        {% for error in form.email.errors %}
                                            <ul>
                                                <li class="text-red">{{ error }}</li>
                                            </ul>
                                        {% endfor %}
                                    </span>
                                </div>
                            </div>

                            <div class="form-group">
                                <label for="id_firma_personal" class="col-sm-3 control-label">Firma Personal</label>
                                <div class="col-sm-3">
                                    <div class="input-group">
                                            {{ form.firma_personal }}
                                    </div>
                                    <span class="help-block">
                                        {% for error in form.firma_personal.errors %}
                                            <ul>
                                                <li class="text-red">{{ error }}</li>
                                            </ul>
                                        {% endfor %}
                                    </span>
                                </div>
                                <label for="id_email" class="col-sm-3 control-label">Persona de contacto</label>
                                <div class="col-sm-3">
                                    <div class="input-group">
                                            {{ form.persona_contacto }}
                                    </div>
                                    <span class="help-block">
                                        {% for error in form.persona_contacto.errors %}
                                            <ul>
                                                <li class="text-red">{{ error }}</li>
                                            </ul>
                                        {% endfor %}
                                    </span>
                                </div>
                            </div>


                        </div>
                        <!-- /.box-body -->
                        <div class="box-footer">
                            <button type="submit" class="btn btn-{{ btn_color }} pull-right">
                                <i class="fa fa-{{ accion }}"></i>&nbsp;&nbsp;
                                {{ boton }}
                            </button>
                            <button type="button" class="btn btn-default pull-left" data-dismiss="modal">
                                <i class="fa fa-times"></i> &nbsp;&nbsp;
                                Cerrar</button>

                        </div>
                        <!-- /.box-footer -->
                    </form>
                </div>
                
        </div>
        <!-- /.modal-content -->
    </div>
    <!-- /.modal-dialog -->
</div>
<!-- /.modal -->

<!-- InputMask -->
<script src="{{ static('plugins/input-mask/jquery.inputmask.js') }}"></script>
<script src="{{ static('plugins/input-mask/jquery.inputmask.date.extensions.js') }}"></script>
<script src="{{ static('plugins/input-mask/jquery.inputmask.extensions.js') }}"></script>

<script>
$('[data-mask]').inputmask()

$('#id_nro_rif').inputmask('9999999-9')
$('#id_nro_patente').inputmask('A-999999')



    function bs_input_file() {
        $(".input-file").before(
            function() {
                if ( ! $(this).prev().hasClass('input-ghost') ) {
                    var element = $("<input type='file' name='avatar' id='id_avatar' class='input-ghost' style='visibility:hidden; height:0'>");
                    element.change(function(){
                        element.next(element).find('input').val((element.val()).split('\\').pop());
                    });
                    $(this).find("button.btn-choose").click(function(){
                        element.click();
                    });
                    $(this).find("button.btn-reset").click(function(){
                        element.val(null);
                        $(this).parents(".input-file").find('input').val('');
                    });
                    $(this).find('input').css("cursor","pointer");
                    $(this).find('input').mousedown(function() {
                        $(this).parents('.input-file').prev().click();
                        return false;
                    });
                    return element;
                }
            }
        );
    }
    
    $(function() {
        bs_input_file();
    });

//iCheck for checkbox and radio inputs
$('input[type="checkbox"].minimal, input[type="radio"].minimal').iCheck({
  checkboxClass: 'icheckbox_minimal-blue',
  radioClass   : 'iradio_minimal-blue'
})
//Red color scheme for iCheck
$('input[type="checkbox"].minimal-red, input[type="radio"].minimal-red').iCheck({
  checkboxClass: 'icheckbox_minimal-red',
  radioClass   : 'iradio_minimal-red'
})
//Flat red color scheme for iCheck
$('input[type="checkbox"].flat-red, input[type="radio"].flat-red').iCheck({
  checkboxClass: 'icheckbox_flat-green',
  radioClass   : 'iradio_flat-green'
})
</script>